// Copyright (C) 2010 - DIGITEO - Michael Baudin

// Updates the .xml files by deleting existing files and 
// creating them again from the .sci with help_from_sci.

help_dir = get_absolute_file_path('update_help.sce');
// Delete the existing help files
flist = ls(help_dir)';
for f = flist
  isxml = regexp(f,"/(.*).xml/");
  if ( isxml <> [] ) then
    mprintf("Deleting %s\n",f);
    deletefile(f);
  end
end
// Build the help from the sources.
help_from_sci(help_dir+"../../macros",help_dir);

